Package com.independentsoft.graph.mails

# Class MessageRuleActionsPropertyName

java.lang.Object
com.independentsoft.graph.mails.MessageRuleActionsPropertyName

public class MessageRuleActionsPropertyName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `ASSIGN_CATEGORIES`
  `static String`
  `COPY_TO_FOLDER`
  `static String`
  `DELETE`
  `static String`
  `FORWARD_AS_ATTACHMENT_TO`
  `static String`
  `FORWARD_TO`
  `static String`
  `MARK_AS_READ`
  `static String`
  `MARK_IMPORTANCE`
  `static String`
  `MOVE_TO_FOLDER`
  `static String`
  `PERMANENT_DELETE`
  `static String`
  `REDIRECT_TO`
  `static String`
  `STOP_PROCESSING_RULES`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ASSIGN_CATEGORIES

    public static final String ASSIGN_CATEGORIES
    See Also:
      Constant Field Values

  - ### COPY_TO_FOLDER

    public static final String COPY_TO_FOLDER
    See Also:
      Constant Field Values

  - ### DELETE

    public static final String DELETE
    See Also:
      Constant Field Values

  - ### FORWARD_AS_ATTACHMENT_TO

    public static final String FORWARD_AS_ATTACHMENT_TO
    See Also:
      Constant Field Values

  - ### FORWARD_TO

    public static final String FORWARD_TO
    See Also:
      Constant Field Values

  - ### MARK_AS_READ

    public static final String MARK_AS_READ
    See Also:
      Constant Field Values

  - ### MARK_IMPORTANCE

    public static final String MARK_IMPORTANCE
    See Also:
      Constant Field Values

  - ### MOVE_TO_FOLDER

    public static final String MOVE_TO_FOLDER
    See Also:
      Constant Field Values

  - ### PERMANENT_DELETE

    public static final String PERMANENT_DELETE
    See Also:
      Constant Field Values

  - ### REDIRECT_TO

    public static final String REDIRECT_TO
    See Also:
      Constant Field Values

  - ### STOP_PROCESSING_RULES

    public static final String STOP_PROCESSING_RULES
    See Also:
      Constant Field Values